Bug 1127650 - missing dependencies?
Summary: missing dependencies?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: spamassassin
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 09:57 UTC by Harald Reindl
Modified: 2014-08-27 09:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-26 16:50:30 UTC


Attachments (Terms of Use)

Description Harald Reindl 2014-08-07 09:57:04 UTC
sa-update -D

Aug  7 11:51:26.004 [9052] dbg: diag: [...] module not installed: Digest::SHA1 ('require' failed)
Aug  7 11:51:26.004 [9052] dbg: diag: [...] module not installed: Geo::IP ('require' failed)
Aug  7 11:51:26.004 [9052] dbg: diag: [...] module not installed: Razor2::Client::Agent ('require' failed)
Aug  7 11:51:26.005 [9052] dbg: diag: [...] module not installed: Net::Patricia ('require' failed)

manually installed:
Aug 07 11:52:23 Installed: perl-Digest-SHA1-2.13-10.fc20.x86_64
Aug 07 11:53:14 Installed: perl-Geo-IP-1.42-2.fc20.x86_64
Aug 07 11:53:51 Installed: perl-Razor-Agent-2.85-15.fc20.x86_64
Aug 07 11:54:42 Installed: perl-Net-Patricia-1.22-4.fc20.x86_64

Comment 1 Fedora Admin XMLRPC Client 2014-08-08 07:43:15 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2014-08-08 07:45:45 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Kevin Fenzi 2014-08-11 15:35:27 UTC
Razor2::Client::Agent is definitely optional, but we should look at the rest. ;)

Thanks for the report!

Comment 4 Harald Reindl 2014-08-11 15:51:36 UTC
thanks for feedback!

orginally i thought that may be the reason why there are no updates

/usr/bin/sa-update && /usr/bin/systemctl condrestart spamassassin.service
daily but still anything from the first installation day what makes me wonder since spam changes all the time

[root@testserver:~]$ ls /var/lib/spamassassin/3.004000/updates_spamassassin_org | wc -l
64

[root@testserver:~]$ ls /var/lib/spamassassin/3.004000/updates_spamassassin_org | grep -v "2014-08-05"
insgesamt 908K

Comment 5 Kevin Fenzi 2014-08-26 16:50:30 UTC
ok. Looked at those 4, and it's correct that we aren't Requiring them. 

perl-Digest-SHA1 - Only used it perl(Digest::SHA) is too old. It's not in fedora. 

perl-Geo-IP - Only used for the not enabled by default RelayCountry plugin. 

perl-Razor-Agent - Only used for the not enabled by default Razor plugin. 

perl-Net-Patricia - Only used for some optional network searching. 

Thanks for the report, but I think we are ok.

Comment 6 Harald Reindl 2014-08-27 09:05:30 UTC
thanks, i removed that packages


Note You need to log in before you can comment on or make changes to this bug.